QGIS Application - Bug report #18367
TypeError when running Vector table tools -> Refactor fields
2018-03-07 07:18 AM - J Taylor

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.14.22 Regression?: No
Operating System: Ubuntu Linux Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26257
Description

| am converting several fields in a vector layer from type String to Real using the "Refactor fields" tool in the Processing toolbox. When |
apply the changes, the process runs to completion and then throws the following error message:

An error has occurred while executing Python code:

TypekError: ‘instancemethod’ object is not connected

Traceback (most recent call last):

File "/usr/share/qgis/python/plugins/processing/gui/AlgorithmDialog.py”, line 265, in closeEvent
QgsMapLayerRegistry.instance().layerWasAdded.disconnect(self. mainWidget.layerAdded)
TypekError: ‘instancemethod’ object is not connected

Python version: 2.7.12 (default, Dec 4 2017, 14:50:18) [GCC 5.4.0 20160609]
QQGIS version: 2.14.22-Essen Essen, exported

Python Path:
/usr/share/qgis/python/plugins/processing
/usr/share/qgis/python

/home/jesse/.qgis2/python
/home/jesse/.qgis2/python/plugins
/usr/share/qgis/python/plugins

/ust/lib/python2.7

Jusr/lib/python2. 7/plat-x86_64-linux-gnu
/usr/lib/python2. 7/lib-tk

/ust/lib/python2. 7/lib-old

/ust/lib/python2. 7/lib-dynload
/usr/local/lib/python2. 7/dist-packages
/usr/lib/python2. 7/dist-packages

/usr/lib/python2. 7/dist-packages/PlLcompat
/usr/lib/python2. 7/dist-packages/gtk-2.0
Jusr/lib/python2. 7/dist-packages/ubuntu-sso-client
/ust/lib/python2. 7/dist-packages/wx-3.0-gtk2
/home/jesse/.qgis2//python
/usr/share/qgis/python/plugins/fTools/tools@An error has occurred while executing Python code:

TypeError: 'instancemethod' object is not connected

Traceback (most recent call last):

File "/usr/share/qgis/python/plugins/processing/gui/AlgorithmDialog.py”, line 265, in closeEvent
QgsMapLayerRegistry.instance().layerWasAdded.disconnect(self. mainWidget.layerAdded)
TypeError: ‘instancemethod' object is not connected
Python version: 2.7.12 (default, Dec 4 2017, 14:50:18) [GCC 5.4.0 20160609]
QGIS version: 2.14.22-Essen Essen, exported

Python Path:
/usr/share/qgis/python/plugins/processing
/usr/share/qgis/python
/home/jesse/.qgis2/python
/home/jesse/.qgis2/python/plugins
/usr/share/qgis/python/plugins
/ust/lib/python2.7

Jusr/lib/python2. 7/plat-x86_64-linux-gnu
Jusr/lib/python2. 7/lib-tk

/usr/lib/python2. 7/lib-old

/ust/lib/python2. 7/lib-dynload
/usr/local/lib/python2. 7/dist-packages
/usr/lib/python2. 7/dist-packages
Jusr/lib/python2. 7/dist-packages/PILcompat
/usr/lib/python2. 7/dist-packages/gtk-2.0
/usr/lib/python2. 7/dist-packages/ubuntu-sso-client
/ust/lib/python2. 7/dist-packages/wx-3.0-gtk2
/home/jesse/.qgis2//python
/usr/share/qgis/python/plugins/fTools/tools

... in spite of this, it seems to have successfully created a new layer with the altered field types, and also | can't find any evidence of
corrupted data. But | just wanted to figure out why this was happening, because | am worried that something subtle might have gone
wrong that will affect things later.

Thanks!

History

#1 - 2018-03-07 07:20 AM - J Taylor

Sorry, | accidentally pasted the error message twice. It's just:

An error has occurred while executing Python code:

TypekError: ‘instancemethod' object is not connected

Traceback (most recent call last):

File "/usr/share/qgis/python/plugins/processing/gui/AlgorithmDialog.py”, line 265, in closeEvent
QgsMapLayerRegistry.instance().layerWasAdded.disconnect(self.mainWidget.layerAdded)

TypeError: 'instancemethod' object is not connected

Python version: 2.7.12 (default, Dec 4 2017, 14:50:18) [GCC 5.4.0 20160609]
QGIS version: 2.14.22-Essen Essen, exported

Python Path:
/usr/share/qgis/python/plugins/processing
/usr/share/qgis/python
/home/jesse/.qgis2/python
/home/jesse/.qqgis2/python/plugins
/usr/share/qgis/python/plugins
/usr/lib/python2.7
/usr/lib/python2.7/plat-x86_64-linux-gnu
Jusr/lib/python2. 7/lib-tk
/usr/lib/python2.7/lib-old

/usr/lib/python2. 7/lib-dynload
/usr/local/lib/python2. 7/dist-packages
/usr/lib/python2. 7/dist-packages
Jusr/lib/python2. 7/dist-packages/PlLcompat
Jusr/lib/python2. 7/dist-packages/gtk-2.0
/usr/lib/python2. 7/dist-packages/ubuntu-sso-client
/usr/lib/python2. 7/dist-packages/wx-3.0-gtk2
/home/jesse/.qqgis2//python

/usr/share/qgis/python/plugins/fTools/tools

#2 - 2018-03-07 10:00 AM - Alexander Bruy
- Status changed from Open to Feedback

2.14 is not supported. Please test with 2.18 and 3.0/3.1

#3 - 2018-05-16 02:47 PM - Alexander Bruy
- Status changed from Feedback to Closed

Closed for the lack of feedback. Please reopen if necessary.
